Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 605265 - kernel bug in cfq merge logic
kernel bug in cfq merge logic
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.6
All Linux
low Severity medium
: rc
: ---
Assigned To: Jeff Moyer
Hangbin Liu
https://bugzilla.kernel.org/show_bug....
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-17 10:26 EDT by Jeff Moyer
Modified: 2011-01-13 16:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 16:38:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
reproducer from upstream (4.03 KB, text/html)
2010-07-12 08:26 EDT, Jan Tluka
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0017 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.6 kernel security and bug fix update 2011-01-13 05:37:42 EST

  None (edit)
Description Jeff Moyer 2010-06-17 10:26:52 EDT
Description of problem:
http://lkml.org/lkml/2010/6/17/152

Version-Release number of selected component (if applicable):
rhel 5.5
Comment 1 RHEL Product and Program Management 2010-06-17 10:40:10 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Jan Tluka 2010-07-12 08:26:01 EDT
Created attachment 431159 [details]
reproducer from upstream

Attaching reproducer code from upstream. See details on compilation/use in the source.
Comment 5 Jarod Wilson 2010-09-21 17:00:29 EDT
in kernel-2.6.18-223.el5
You can download this test kernel (or newer) from http://people.redhat.com/jwilson/el5

Detailed testing feedback is always welcomed.
Comment 11 Hangbin Liu 2010-11-30 00:19:34 EST
Code reviewed

linux-2.6-block-cfq-no-merges-for-queues-w-no-process-references.patch
is applied in kernel 2.6.18-233.el5 correctly.
Comment 13 errata-xmlrpc 2011-01-13 16:38:12 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0017.html

Note You need to log in before you can comment on or make changes to this bug.